# $Revision: 1.6 $, $Date: 2011/11/05 18:47:10 $
Summary:	OpenSM - InfiniBand Subnet Manager and Administrator
Summary(pl.UTF-8):	OpenSM - zarządca i administrator podsieci InfiniBand
Name:		opensm
Version:	3.3.12
Release:	1
License:	BSD or GPL v2
Group:		Daemons
Source0:	http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
# Source0-md5:	66beeccf6b16550609b37d588c0589ee
Patch0:		%{name}-link.patch
URL:		http://www.openfabrics.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libibumad-devel
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# these libs refer to symbols in each other
%define		skip_post_check_so	libopensm\.so.* libosmvendor\.so.*

%description
OpenSM provides an implementation for an InfiniBand Subnet Manager and
Administrator. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each
InfiniBand subnet).

%description -l pl.UTF-8
OpenSM zapewnia implementację zarządcy i administratora podsieci
InfiniBand (InfiniBand Subnet Manager). Takie oprogramowanie musi być
uruchomione w celu zainicjowania sprzętu InfiniBand (przynajmniej
jedna instancja w każdej podsieci InfiniBand).

%package libs
Summary:	OpenSM (InfiniBand Subnet Manager) libraries
Summary(pl.UTF-8):	Biblioteki OpenSM (InfiniBand Subnet Manager)
Group:		Libraries

%description libs
OpenSM (InfiniBand Subnet Manager) libraries.

%description libs -l pl.UTF-8
Biblioteki OpenSM (InfiniBand Subnet Manager).

%package devel
Summary:	Header files for OpenSM libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OpenSM
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libibumad-devel

%description devel
Header files for OpenSM libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OpenSM.

%package static
Summary:	Static OpenSM libraries
Summary(pl.UTF-8):	Statyczne biblioteki OpenSM
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static OpenSM libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki OpenSM.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/opensm,/etc/rc.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/opensmd
%attr(755,root,root) %{_sbindir}/opensm
%attr(755,root,root) %{_sbindir}/osmtest
%{_mandir}/man5/torus-2QoS.conf.5*
%{_mandir}/man8/opensm.8*
%{_mandir}/man8/osmtest.8*
%{_mandir}/man8/torus-2QoS.8*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README doc/*.txt
%attr(755,root,root) %{_libdir}/libopensm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopensm.so.4
%attr(755,root,root) %{_libdir}/libosmcomp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosmcomp.so.3
%attr(755,root,root) %{_libdir}/libosmvendor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosmvendor.so.3
%dir %{_sysconfdir}/opensm

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopensm.so
%attr(755,root,root) %{_libdir}/libosmcomp.so
%attr(755,root,root) %{_libdir}/libosmvendor.so
%{_libdir}/libopensm.la
%{_libdir}/libosmcomp.la
%{_libdir}/libosmvendor.la
%{_includedir}/infiniband/complib
%{_includedir}/infiniband/iba
%{_includedir}/infiniband/opensm
%{_includedir}/infiniband/vendor

%files static
%defattr(644,root,root,755)
%{_libdir}/libopensm.a
%{_libdir}/libosmcomp.a
%{_libdir}/libosmvendor.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opensm.spec,v $
Revision 1.6  2011/11/05 18:47:10  qboosh
- updated to 3.3.12
- proper base summary/description (fixed my old copy-pasto)

Revision 1.5  2011/09/10 19:51:40  qboosh
- updated to 3.3.11

Revision 1.4  2011/04/20 18:33:58  qboosh
- one more fix in link patch
- added skip_post_check_so workaround

Revision 1.3  2011/03/12 21:48:39  qboosh
- updated to 3.3.9

Revision 1.2  2010/09/13 18:34:33  qboosh
- added link patch to avoid builddir rpath

Revision 1.1  2010/09/12 08:23:22  qboosh
- new
